﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace CellValuePresenterStyle
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public IEnumerable<Data> Data { get; private set; }

        public MainWindow()
        {
            InitializeData();
            InitializeComponent();
        }
       
        private void InitializeData()
        {
            Data = new List<Data>{
                new Data {Text="test 1", Decimal = (decimal) 5.6},
                new Data {Text="test 1", Decimal = (decimal) 65.6}
            };

        }
    }

     public class Data
    {
        public string Text { get; set; }
        public decimal Decimal { get; set; }
    }
}
